=== debian/changelog ===
prometheus-snmp-exporter (0.21.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Drop obsolete patches:
    - 02-max-repetitions-uint32.patch
    - 03-go-kit-log.patch
  * Refresh patch(es)
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev

  [ Guillem Jover ]
  * Add value quoting information in default file comment header
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 24 Nov 2022 01:44:11 +0000

prometheus-snmp-exporter (0.20.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 15:12:55 +0100

prometheus-snmp-exporter (0.20.0-2) unstable; urgency=medium

  * Add patch to replace go-kit/kit/log with go-kit/log (Closes: #1002729)
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 14 May 2022 15:56:15 +0000
