=== debian/changelog ===
prometheus-snmp-exporter (0.22.0-2ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:24:24 +0530

prometheus-snmp-exporter (0.22.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:52 +1200

prometheus-snmp-exporter (0.22.0-2) unstable; urgency=medium

  * Drop obsolete 03-Support_older_client_model.patch
  * Bump minimum required golang-github-prometheus-client-model-dev to 0.4.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Jun 2023 08:57:24 +0000

prometheus-snmp-exporter (0.22.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum required golang-go version to 2:1.16~
  * Refresh patches
  * Add new patches:
    - 02-Revert_kingpin_import_path.patch
    - 03-Support_older_client_model.patch
  * Add version constraints for golang-github-prometheus-client-model-dev
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.10.0
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 17 Jun 2023 11:36:46 +0000
