=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: prometheus-snmp-exporter
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-github-go-kit-log-dev,
                golang-github-gosnmp-gosnmp-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-client-model-dev,
+               golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
-               golang-go (>= 2:1.13~),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
+               golang-go (>= 2:1.16~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
                libsnmp-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 Homepage: https://github.com/prometheus/snmp_exporter
