=== debian/changelog ===
prometheus-snmp-exporter (0.25.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 12:10:40 +1000

prometheus-snmp-exporter (0.25.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:47:07 +1000

prometheus-snmp-exporter (0.25.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:51:43 +0530

prometheus-snmp-exporter (0.25.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:38 +1100

prometheus-snmp-exporter (0.25.0-1build1) noble; urgency=high

  * No change rebuild against libsnmp40t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:49:35 +0100

prometheus-snmp-exporter (0.25.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0003-Fix-collector-test-fixtures.patch (applied upstream)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Dec 2023 17:04:18 +0000

prometheus-snmp-exporter (0.24.1-2) unstable; urgency=medium

  * Add new 0003-Fix-collector-test-fixtures.patch (Closes: #1054199)
  * Bump minimum required golang-github-prometheus-client-golang-dev version
    to 1.17.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 20 Oct 2023 18:19:42 +0000

prometheus-snmp-exporter (0.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 02 Sep 2023 02:55:13 +0000

prometheus-snmp-exporter (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 30 Aug 2023 12:09:37 +0000

prometheus-snmp-exporter (0.23.0-1) unstable; urgency=medium

  * New upstream release - with breaking changes
  * debian/docs:
    - add auth-split-migration.md
    - drop CONTRIBUTING.md, MAINTAINERS.md
  * debian/service: add basic systemd service hardening
  * Convert patches to gbp-pq format
  * Modernize debian/rules to produce more visually appealing man pages

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 17 Aug 2023 22:51:00 +0000
