=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-golang,
                golang-github-go-kit-log-dev,
                golang-github-gosnmp-gosnmp-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.17.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
