=== debian/changelog ===
prometheus-snmp-exporter (0.26.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 12:37:17 +1000

prometheus-snmp-exporter (0.26.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0003-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Refresh patches
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 11 May 2024 13:27:22 +0000

prometheus-snmp-exporter (0.25.0-2) unstable; urgency=medium

  * Add new 0003-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Mar 2024 02:33:47 +0000
