=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-golang,
                golang-github-go-kit-log-dev,
                golang-github-gosnmp-gosnmp-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.17.0),
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
@@ -16,7 +16,7 @@
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
                libsnmp-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 Homepage: https://github.com/prometheus/snmp_exporter
