## prometheus-snmp-exporter 0.27.0

=== debian/changelog ===
prometheus-snmp-exporter (0.27.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop no longer used golang-github-go-kit-log-dev Build-Depends
  * Bump golang-go Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint to
    (>= 0.13.0)
  * Add new Build-Depends golang-github-itchyny-timefmt-go-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Jan 2025 09:20:25 +0000
