=== debian/changelog ===
prometheus-snmp-exporter (0.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 07 Feb 2025 15:12:45 +0000
