=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: prometheus-snmp-exporter
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-github-go-kit-log-dev,
                golang-github-gosnmp-gosnmp-dev,
+               golang-github-itchyny-timefmt-go-dev,
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
-               golang-go (>= 2:1.16~),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
+               golang-go (>= 2:1.21~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
                libsnmp-dev,
